#!/bin/sh

dirs="`xmms-config --output-plugin-dir 2>/dev/null` ~/.xmms/Plugins/Output"
plugins() {
	for i in $dirs; do
	ls $i 2>/dev/null
	done | grep '^lib.*\.so$' | sed -e 's/^lib//' -e 's/\.so$//' | uniq |
	grep -v '^crossfade$' | sort
}
choice() {
	plugins | grep -v '^disk_writer$' | grep -v '^ALSA$' | \
	grep -v '^esdout$' | grep -v  | head -1
}

echo 'Available XMMS output plugins:'
echo
plugins | grep -v '^ALSA$' | while read i; do
	echo '	'$i
done
echo

ask() {
	echo -n Please select a default output plugin "[`choice`] "
	read mind

	if [ x"$mind" = x ]; then
		mind=`choice`
	fi
	if [ x"`plugins | grep "^$mind$"`" = x ]; then
		echo "That's not a valid choice."
		ask
	else
		echo OUTPUT=$mind >> config.mak
	fi
}

ask
